%def_disable static

Name: libdiscid
Version: 0.1.1
Release: alt1

Summary: Library for creating MusicBrainz DiscIDs from audio CDs
License: LGPL
Group: System/Libraries
Url: http://users.musicbrainz.org/~matt/libdiscid-%version.tar.gz
Packager: Mikhail Yakshin <greycat@altlinux.org>

Source0: %name-%version.tar.gz
BuildRequires: gcc

%description
libdiscid is a C library for creating MusicBrainz DiscIDs from audio
CDs. It reads a CD's table of contents (TOC) and generates an identifier
which can be used to lookup the CD at MusicBrainz. Additionally, it
provides a submission URL for adding the DiscID to the database.

The interface of this library is new, but the DiscID algorithm and the
operating system dependent CD-ROM/DVD-ROM access code have been ported
from libmusicbrainz version 2.

%package devel
Summary: Headers for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
Headers for building software that uses %name

%if_enabled static
%package devel-static
Summary: Static libraries for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static libs for building statically linked software that uses %name
%endif

%prep
%setup -q

%build
%configure %{subst_enable static}
%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS COPYING README ChangeLog

%files devel
%_libdir/*.so
%_includedir/discid
%_libdir/pkgconfig/*

%if_enabled static
%files -n %name-devel-static
%_libdir/%name.a
%endif

%changelog
* Sun Mar 18 2007 Mikhail Yakshin <greycat@altlinux.org> 0.1.1-alt1
- Initial build for ALT Linux

